/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

/**
 * Navigation items to render on home page and
 * on main navbar.
 */
const NavItems = [
  { href: "https://docs.nhcarrigan.com/about/mission/", text: "Our Mission" },
  { href: "https://contact.nhcarrigan.com", text: "Contact Us" },
  { href: "https://donate.nhcarrigan.com", text: "Donate" },
  { href: "/tech", text: "Technologies We Use" },
  { href: "https://git.nhcarrigan.com", text: "Contribute to our Projects" },
  { href: "https://merch.nhcarrigan.link", text: "Merchandise" },
  { href: "https://docs.nhcarrigan.com", text: "Documentation" },
  { href: "https://chat.nhcarrigan.com", text: "Support" },
  { href: "https://forms.nhcarrigan.com/commission", text: "Hire Us" },
].sort((a, b) => {
  return a.text.localeCompare(b.text);
});

const NaomiNavItems = [
  { href: "/legacy", text: "Characters" },
  { href: "/ref", text: "Reference Sheet" },
  { href: "/koikatsu", text: "Koikatsu Scenes" },
  { href: "/games", text: "Game Screenshots" },
  { href: "/art", text: "Art of Naomi" },
  { href: "https://resume.nhcarrigan.com", text: "Resume" },
  { href: "https://blog.nhcarrigan.com", text: "Blog" },
  { href: "https://testimonials.nhcarrigan.com", text: "Testimonials" },
].sort((a, b) => {
  return a.text.localeCompare(b.text);
});

export { NavItems, NaomiNavItems };
